/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.admin.service.impl.schedule.params;

import java.text.SimpleDateFormat;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.appspy.server.bo.scheduler.JobScheduleParam;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class DateParamResolver extends AbstractDateParamResolver
{
	protected static Log sLog = LogFactory.getLog(DateParamResolver.class);

	/* (non-Javadoc)
	 * @see org.appspy.admin.service.impl.schedule.params.ParamResolver#resolveValue(org.appspy.server.bo.scheduler.JobScheduleParam)
	 */
	public String resolveValue(JobScheduleParam jobScheduleParam)
	{
		return SimpleDateFormat.getDateInstance().format(resolveDate(jobScheduleParam));
	}

}
